package com.zjrs.ggfw.rlzysc.dto.dwzp;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public class ZwYdDTO {
    @NotBlank(message = "请选择展位")
    private String rszwwzlshs;//一个或多个展位位置流水号
    @NotBlank(message = "缺少招聘会流水号参数")
    private String rsrlzyzphgllsh;//招聘会流水号
    @NotBlank(message = "缺少会场流水号参数")
    private String rsrlzyhcgllsh;//会场流水号
    @NotBlank(message = "缺少预约人参数")
    @Size(min=0, max=10, message="预约人最多只能输入10个字符或汉字")
    private String yyr;//预约人
    @NotBlank(message = "缺少联系方式参数")
    @Size(min=0, max=20, message="联系方式最多只能输入20个字符")
    private String lxfs;//联系方式
    @NotBlank(message = "缺少联系人参数")
    @Size(min=0, max=10, message="联系人最多只能输入10个字符或汉字")
    private String lxr;//联系人
    @NotBlank(message = "缺少职位信息流水号参数")
    private String rsrlzyzwxxlshs;//职位信息流水号
    @NotBlank(message = "缺少展位管理流水号参数")
    private String rsrlzyzwgllsh;//展位管理流水号
    private String zwbh;//展位编号

    public String getZwbh() {
        return zwbh;
    }

    public void setZwbh(String zwbh) {
        this.zwbh = zwbh;
    }

    public String getRsrlzyzwgllsh() {
        return rsrlzyzwgllsh;
    }

    public void setRsrlzyzwgllsh(String rsrlzyzwgllsh) {
        this.rsrlzyzwgllsh = rsrlzyzwgllsh;
    }

    public String getRszwwzlshs() {
        return rszwwzlshs;
    }

    public void setRszwwzlshs(String rszwwzlshs) {
        this.rszwwzlshs = rszwwzlshs;
    }

    public String getRsrlzyzphgllsh() {
        return rsrlzyzphgllsh;
    }

    public void setRsrlzyzphgllsh(String rsrlzyzphgllsh) {
        this.rsrlzyzphgllsh = rsrlzyzphgllsh;
    }

    public String getRsrlzyhcgllsh() {
        return rsrlzyhcgllsh;
    }

    public void setRsrlzyhcgllsh(String rsrlzyhcgllsh) {
        this.rsrlzyhcgllsh = rsrlzyhcgllsh;
    }

    public String getYyr() {
        return yyr;
    }

    public void setYyr(String yyr) {
        this.yyr = yyr;
    }

    public String getLxfs() {
        return lxfs;
    }

    public void setLxfs(String lxfs) {
        this.lxfs = lxfs;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getRsrlzyzwxxlshs() {
        return rsrlzyzwxxlshs;
    }

    public void setRsrlzyzwxxlshs(String rsrlzyzwxxlshs) {
        this.rsrlzyzwxxlshs = rsrlzyzwxxlshs;
    }
}

